fossjobs(1)

NAME
fossjobs - Display default fossology agents or upload id's and schedule default fossology agents on an upload id.

SYNOPSIS
fossjobs [-a] [-h] [-u] [-v] [-A <string>] [-U <upload-id>] [-P priority]

DESCRIPTION
fossjobs is a command line fossology utility that can be used to list the available default agents or upload id's. Using that information, fossjobs can be used to schedule all the default agents or a subset of them for a given upload id. This effectivly creates a job and schedules the agents to perform their analysis on the upload id given.

Additionally, the priority can be set for that upload id/job. The agents will run at the priority set, or 0 if none supplied (the default).

  Options

-a  List the available default agents.

-h  Standard help flag, prints usage.

-u  List the available upload id's.

-v  Verbose output

-A <string>
    This option can be used to run a subset of the default agents. The subset is specified using a comma separated list of agents. To display the available agents, use -a. To schedule all default agents, do not set this option.

-P <priority>
    The priority for the job/agents. The default priority if none is supplied is zero (0). Priorities can be negative or positive. A negative priority will have less priority than zero. Additionally, larger negative numbers will have less priority than smaller negative numbers. The highest priority is 10.

-U <upload-id>
    The upload id to schedule the agents to work on. To find an upload id use -u. The upload-id string can be a comma-separated list of upload ids. Or, use 'ALL' to specify all upload ids.

  Examples
list all of the available agents

  fossjobs -a

list the upload id's

  fossjobs -u

schedule a subset of the agents (unpack and license) on an upload id.

  fossjobs -A "agent_unpack,agent_license" -U 20

schedule all the agents using a priority of 5 on upload id 20

  fossjobs -U 20 -P 5

schedule all upload id's with all default agents

fossjobs -U ALL

Authors
Neal Krawetz and Mark Donohoe